> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject a glossary suggestion

> Reject path stays DB-only — no glossary content change.



## OpenAPI

````yaml /api-reference/memory-api.json post /v1/memory/glossary/suggestions/{suggestion_id}/reject
openapi: 3.1.0
info:
  title: Strattum Memory API
  description: >-
    REST API that serves entity context — profile, timeline, graph, sources and
    formatted context — for agents and UIs. (PRD-003, Workstream 1.3)
  version: 1.0.0
servers: []
security: []
paths:
  /v1/memory/glossary/suggestions/{suggestion_id}/reject:
    post:
      tags:
        - glossary
      summary: Reject a glossary suggestion
      description: Reject path stays DB-only — no glossary content change.
      operationId: >-
        reject_suggestion_v1_memory_glossary_suggestions__suggestion_id__reject_post
      parameters:
        - name: suggestion_id
          in: path
          required: true
          schema:
            type: string
            title: Suggestion Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlossarySuggestion'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GlossarySuggestion:
      properties:
        id:
          type: string
          title: Id
        original_term:
          type: string
          title: Original Term
        effective_term:
          type: string
          title: Effective Term
        source:
          type: string
          title: Source
        occurrences:
          type: integer
          title: Occurrences
        avg_confidence_delta:
          type: number
          title: Avg Confidence Delta
        status:
          type: string
          title: Status
        first_seen:
          anyOf:
            - type: string
            - type: 'null'
          title: First Seen
        last_seen:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Seen
        reviewed_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewed By
        reviewed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewed At
      type: object
      required:
        - id
        - original_term
        - effective_term
        - source
        - occurrences
        - avg_confidence_delta
        - status
      title: GlossarySuggestion
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````